<bugID>708214<Summary>Implement a generic docking module for page-centric developer tools</Summary><Description>As discussed with Paul, see https://bugzilla.mozilla.org/show_bug.cgi?id=707906#c1

We should have a generic Docking module that will host Scratchpad, Style Editor, and any other page-centric tool.</Description></bugID>